> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve session



## OpenAPI

````yaml /openapi/face-authentication.yaml get /api/v2/facial-authentication-sessions/{tokenString}/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: Face Auth Sessions
    description: Face authentication session endpoints.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /api/v2/facial-authentication-sessions/{tokenString}/:
    get:
      tags:
        - Face Auth Sessions
      summary: Retrieve session
      operationId: faceAuthSessionsRetrieve
      parameters:
        - in: path
          name: tokenString
          schema:
            type: string
            description: Token string used for authentication.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FacialAuthenticationSession'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    FacialAuthenticationSession:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        tokenString:
          type: string
          maxLength: 40
          description: Token string used for authentication.
        approved:
          type: boolean
          nullable: true
        givenScanRef:
          type: string
          description: deprecated
          maxLength: 40
        type:
          $ref: '#/components/schemas/FacialAuthenticationStatusTypeEnum'
        authenticationMethod:
          $ref: '#/components/schemas/FacialAuthenticationMethodEnum'
        facePhoto:
          type: string
          format: uri
          nullable: true
      required:
        - givenScanRef
        - id
    FacialAuthenticationStatusTypeEnum:
      enum:
        - ENROLLMENT
        - AUTHENTICATION
      type: string
    FacialAuthenticationMethodEnum:
      enum:
        - ACTIVE_LIVENESS
        - FACE_MATCHING
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````